com.example.labstatus

## Class AutoFitGridLayoutManager

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.LayoutManager
  - - androidx.recyclerview.widget.LinearLayoutManager
    - - androidx.recyclerview.widget.GridLayoutManager
      - - com.example.labstatus.AutoFitGridLayoutManager

- All Implemented Interfaces:
    androidx.recyclerview.widget.ItemTouchHelper.ViewDropHandler, androidx.recyclerview.widget.RecyclerView.SmoothScroller.ScrollVectorProvider

      public class AutoFitGridLayoutManager
      extends androidx.recyclerview.widget.GridLayoutManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class androidx.recyclerview.widget.GridLayoutManager

      `androidx.recyclerview.widget.GridLayoutManager.DefaultSpanSizeLookup, androidx.recyclerview.widget.GridLayoutManager.LayoutParams, androidx.recyclerview.widget.GridLayoutManager.SpanSizeLookup`

    - ### Nested classes/interfaces inherited from class androidx.recyclerview.widget.LinearLayoutManager

      `androidx.recyclerview.widget.LinearLayoutManager.LayoutChunkResult, androidx.recyclerview.widget.LinearLayoutManager.SavedState`

    - ### Nested classes/interfaces inherited from class androidx.recyclerview.widget.RecyclerView.LayoutManager

      `androidx.recyclerview.widget.RecyclerView.LayoutManager.LayoutPrefetchRegistry, androidx.recyclerview.widget.RecyclerView.LayoutManager.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `columnWidth`
    `private boolean` | `columnWidthChanged`

    - ### Fields inherited from class androidx.recyclerview.widget.GridLayoutManager

      `DEFAULT_SPAN_COUNT`

    - ### Fields inherited from class androidx.recyclerview.widget.LinearLayoutManager

      `HORIZONTAL, INVALID_OFFSET, VERTICAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoFitGridLayoutManager(android.content.Context context, int columnWidth)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onLayoutChildren(androidx.recyclerview.widget.RecyclerView.Recycler recycler, androidx.recyclerview.widget.RecyclerView.State state)`
    `void` | `setColumnWidth(int newColumnWidth)`

    - ### Methods inherited from class androidx.recyclerview.widget.GridLayoutManager

      `checkLayoutParams, generateDefaultLayoutParams, generateLayoutParams, generateLayoutParams, getColumnCountForAccessibility, getRowCountForAccessibility, getSpanCount, getSpanSizeLookup, onFocusSearchFailed, onInitializeAccessibilityNodeInfoForItem, onItemsAdded, onItemsChanged, onItemsMoved, onItemsRemoved, onItemsUpdated, onLayoutCompleted, scrollHorizontallyBy, scrollVerticallyBy, setMeasuredDimension, setSpanCount, setSpanSizeLookup, setStackFromEnd, supportsPredictiveItemAnimations`

    - ### Methods inherited from class androidx.recyclerview.widget.LinearLayoutManager

      `assertNotInLayoutOrScroll, canScrollHorizontally, canScrollVertically, collectAdjacentPrefetchPositions, collectInitialPrefetchPositions, computeHorizontalScrollExtent, computeHorizontalScrollOffset, computeHorizontalScrollRange, computeScrollVectorForPosition, computeVerticalScrollExtent, computeVerticalScrollOffset, computeVerticalScrollRange, findFirstCompletelyVisibleItemPosition, findFirstVisibleItemPosition, findLastCompletelyVisibleItemPosition, findLastVisibleItemPosition, findViewByPosition, getExtraLayoutSpace, getInitialPrefetchItemCount, getOrientation, getRecycleChildrenOnDetach, getReverseLayout, getStackFromEnd, isAutoMeasureEnabled, isLayoutRTL, isSmoothScrollbarEnabled, onDetachedFromWindow, onInitializeAccessibilityEvent, onRestoreInstanceState, onSaveInstanceState, prepareForDrop, scrollToPosition, scrollToPositionWithOffset, setInitialPrefetchItemCount, setOrientation, setRecycleChildrenOnDetach, setReverseLayout, setSmoothScrollbarEnabled, smoothScrollToPosition`

    - ### Methods inherited from class androidx.recyclerview.widget.RecyclerView.LayoutManager

      `addDisappearingView, addDisappearingView, addView, addView, assertInLayoutOrScroll, attachView, attachView, attachView, calculateItemDecorationsForChild, chooseSize, detachAndScrapAttachedViews, detachAndScrapView, detachAndScrapViewAt, detachView, detachViewAt, endAnimation, findContainingItemView, getBaseline, getBottomDecorationHeight, getChildAt, getChildCount, getChildMeasureSpec, getChildMeasureSpec, getClipToPadding, getDecoratedBottom, getDecoratedBoundsWithMargins, getDecoratedLeft, getDecoratedMeasuredHeight, getDecoratedMeasuredWidth, getDecoratedRight, getDecoratedTop, getFocusedChild, getHeight, getHeightMode, getItemCount, getItemViewType, getLayoutDirection, getLeftDecorationWidth, getMinimumHeight, getMinimumWidth, getPaddingBottom, getPaddingEnd, getPaddingLeft, getPaddingRight, getPaddingStart, getPaddingTop, getPosition, getProperties, getRightDecorationWidth, getSelectionModeForAccessibility, getTopDecorationHeight, getTransformedBoundingBox, getWidth, getWidthMode, hasFocus, ignoreView, isAttachedToWindow, isFocused, isItemPrefetchEnabled, isLayoutHierarchical, isMeasurementCacheEnabled, isSmoothScrolling, isViewPartiallyVisible, layoutDecorated, layoutDecoratedWithMargins, measureChild, measureChildWithMargins, moveView, offsetChildrenHorizontal, offsetChildrenVertical, onAdapterChanged, onAddFocusables, onAttachedToWindow, onDetachedFromWindow, onInitializeAccessibilityEvent, onInitializeAccessibilityNodeInfo, onInterceptFocusSearch, onItemsUpdated, onMeasure, onRequestChildFocus, onRequestChildFocus, onScrollStateChanged, performAccessibilityAction, performAccessibilityActionForItem, postOnAnimation, removeAllViews, removeAndRecycleAllViews, removeAndRecycleView, removeAndRecycleViewAt, removeCallbacks, removeDetachedView, removeView, removeViewAt, requestChildRectangleOnScreen, requestChildRectangleOnScreen, requestLayout, requestSimpleAnimationsInNextLayout, setAutoMeasureEnabled, setItemPrefetchEnabled, setMeasuredDimension, setMeasurementCacheEnabled, startSmoothScroll, stopIgnoringView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### columnWidth

          private int columnWidth

    - #### columnWidthChanged

          private boolean columnWidthChanged

  - ### Constructor Detail

    - #### AutoFitGridLayoutManager

          public AutoFitGridLayoutManager(android.content.Context context,
                                          int columnWidth)

  - ### Method Detail

    - #### onLayoutChildren

          public void onLayoutChildren(androidx.recyclerview.widget.RecyclerView.Recycler recycler,
                                       androidx.recyclerview.widget.RecyclerView.State state)

      Overrides:
        `onLayoutChildren` in class `androidx.recyclerview.widget.GridLayoutManager`

    - #### setColumnWidth

          public void setColumnWidth(int newColumnWidth)